      SUBROUTINE MPI_MAGMA_FINALIZE(DSTO,DSTO_ME)
C
C     History: - Creation (01.09.22, KHA)
C
C     ******************************************************************
C     List of local variables: 
C
C     ------------------------------------------------------------------
C
      use iso_c_binding
      use magma
      IMPLICIT NONE
C
      include 'mp_demon.h'
      include 'parameter.h'
      include 'mp_system.h'

      INTEGER(kind=4) DSTO,DSTO_ME
      INTEGER ALLOCATION
      integer(kind=4)              :: code
C
C     destroys MAGMA queues and finalizes MAGMA
C
      if (MPI_COMM_GPU /= MPI_COMM_NULL) then
              call magmaf_queue_destroy(magma_queue)
              call magmaf_finalize()
      end if
C
C     destroys MPI_COMM_GPU communicator
C
      call MPI_GROUP_FREE(gpugrp, code)
              
C
C     ------------------------------------------------------------------
C
C     *** End of SUBROUTINE MPI_MAGMA_FINALIZE ***
C
      END

