      LOGICAL FUNCTION LAPAIR(ATOMA,ATOMB)
C
C     Purpose: check if atoms A and B form a pair of QM and MM atoms
C     covalenty bounded.
C
C     History: - Creation (26.07.18, ADLL)
C
C     *****************************************************************
C
      IMPLICIT NONE
C
      INCLUDE 'parameter.h'
C
      INCLUDE 'qmmm.h'
C
      INTEGER ATOMA,ATOMB
C
      INTEGER ILA
C
C     -----------------------------------------------------------------
C
      LAPAIR = .FALSE.
C
      DO ILA=1,NLATOM
        IF (LATQM(ILA,1).EQ.ATOMA) GO TO 50 
      END DO 
      RETURN
 50   CONTINUE
C
      IF (LATQM(ILA,2).EQ.ATOMB) LAPAIR = .TRUE.
      RETURN
C
C     -----------------------------------------------------------------
C
C     *** End of LOGICAL FUNCTION LAPAIR ***
C
      END  
