C     PRM COMMON
C
C     Purpose: Common definition for mm.              
C
C     History: - Creation (16.11.08, AG) 
C                         (13.11.14, GG)
C
C     ******************************************************************
C
C     List of variables:
C
C     TYP    : Number giving the Type of Atom in the force field
C     CLASS  : Class gathering atom types   
C     ZTYP   : Atom number value for this type
C     MASSTYP: Mass of this atom type
C     NNEIGH : Number of neighbour atoms to this type.
C     NTYP   : Number of types of atoms in the force field
C     NCHARGE: Number of atomic charges (only monopoles)
C
C     ------------------------------------------------------------------
C
C     *** Common block for REAL variables ***
C
      REAL POLEPS
C
      REAL BANG0(MAXTYPE,3),BND0(MAXTYPE),CHG(MAXTYPE),KBANG(MAXTYPE),
CCC ADLL LA
     $     LACR(MAXTYPE),LACAP(MAXTYPE),
CCC ADLL LA
     $     KBND(MAXTYPE),KUREY(MAXTYPE),MASSTYP(MAXTYPE),
     $     REDUC(MAXTYPE),TANG1(MAXTYPE,2),TANG2(MAXTYPE,2),
     $     TANG3(MAXTYPE,2),UREY0(MAXTYPE),VEPS(MAXTYPE),
     $     VRAD(MAXTYPE)
     $     ,tang4(maxtype,2)
C
      COMMON /RPRM/ BANG0,BND0,CHG,
CCC ADLL LA
     $              LACR,LACAP,
CCC ADLL LA
     $              KBANG,KBND,KUREY,MASSTYP,
     $              POLEPS,REDUC,TANG1,TANG2,TANG3,UREY0,VEPS,
     $              VRAD
     $              ,tang4
C
C     *** Common block for INTEGER variables ***
C     *** Below : 4 represents the number of atoms directly bonded to each atom ***
C
      INTEGER NANG,NBND,NCHARGE,NCLASS,
     $        NTANG,NUREY
CCC ADLL LA
     $        ,NALTM
CCC ADLL LA

C
      INTEGER CLASS1(MAXCLASS),CLASSOFTYP1(MAXTYPE),
CCC ADLL LA
     $        LABOND(MAXTYPE,2),
CCC ADLL LA
     $        MMBANG(MAXTYPE,3),MMBOND(MAXTYPE,2),MMCHG(MAXTYPE),
     $        MMTANG(MAXTYPE,4),MMUREY(MAXTYPE,3),
     $        NNEIGHMM(MAXTYPE),
     $        ZTYP(MAXTYPE)
C
      COMMON /IPRM/ CLASS1,CLASSOFTYP1,
CCC ADLL LA
     $              LABOND,
CCC ADLL LA
     $              MMBANG,MMBOND,MMCHG,
     $              MMTANG,MMUREY,
     $              NANG,
CCC ADLL LA
     $              NALTM,
CCC ADLL LA
     $              NBND,NCHARGE,NCLASS,
     $              NNEIGHMM,NUREY,NTANG,
     $              ZTYP
C
C     ------------------------------------------------------------------
