      SUBROUTINE ADDQMTYPE 
C
C     Purpose: add QM atom type.
C
C     History: - Creation (23.08.18, ADLL)
C
C     *****************************************************************
C
C     List of local variables:
C
C     LINE: Input line.
C
C     ------------------------------------------------------------------
C
      IMPLICIT NONE
C
      INCLUDE 'parameter.h'
C
      INCLUDE 'flags.h'
      INCLUDE 'mm.h'
      INCLUDE 'molecule.h'
      INCLUDE 'qmmm.h'
C
      INTEGER ITYPE,JTYPE
C
C     -----------------------------------------------------------------
C
C     *** Generate list of different QM types ***
C
      DO 20 ITYPE=1,NTYPQM
        DO 10 JTYPE=1,NTYPES
          IF (TYPEQM(ITYPE).EQ.TYPES(JTYPE)) GO TO 20
   10   CONTINUE
        NTYPES = NTYPES + 1
        TYPES(NTYPES) = TYPEQM(ITYPE)
   20 CONTINUE
C
C     -----------------------------------------------------------------
CC
C     *** End of SUBROUTINE ADDTYPEQM ***
C
      END
