      SUBROUTINE RMCHEBOUT(NEXP)
C
C     Purpose: ReMove Chebyshev ot Taylor batching output.
C
C     History: - Creation (11.05.10, AMK)
C
C     ******************************************************************
C
      IMPLICIT NONE
C
      INCLUDE 'fileio.h'
      INCLUDE 'flags.h'
      INCLUDE 'mp_demon.h'
C
      INTEGER NEXP
      INTEGER IREC
C
C     ------------------------------------------------------------------
C
C     *** Quick return for MPI slave nodes ***
C
      IF (MPSLAVE) RETURN
C
C     *** Quick return, if RTDFT battching output is requested ***
C
      IF (PRTRT.AND.PRTDBG) RETURN 
C
      DO 10 IREC=1,NEXP
        BACKSPACE (OUT)
   10 CONTINUE
C
C     *** Flush output ***
C
      CALL DEFLUSH(OUT)
C
      RETURN
C
C     ------------------------------------------------------------------
C
C     *** End of SUBROUTINE RMCHEBOUT ***
C
      END
